## OpenEip2 Installer
## 1000 ASA http://www.1000asa.com
## Maintained by Lorenzo Musizza aka "Lorty" <lorty at 1000asa.com>
## Released under GPL version 2
## See LICENSE.txt or http://www.gnu.org/copyleft/gpl.html
__version__ = "$Revision: 1.1.1.1 $"[11:-2]

from Products.CMFCore.TypesTool import ContentFactoryMetadata
from Products.CMFCore.DirectoryView import addDirectoryViews
from Products.CMFCore.utils import getToolByName
from Products.openeip2 import Openeip_globals
from cStringIO import StringIO
import string

def install(self):
    """Register OpeneipSite with the necessary tools"""
    out = StringIO()

    skinstool = getToolByName(self, 'portal_skins')

    # Setup the skins
    if 'openeip' not in skinstool.objectIds():
        # We need to add Filesystem Directory Views for any directories
        # in our skins/ directory.  These directories should already be
        # configured.
        addDirectoryViews(skinstool, 'skins', Openeip_globals)
        out.write('Added openeip directory view to portal_skins\n')
    else:
        out.write('openeip directory view already set up\n')


    # add it in skin selection and set it as default - Lorty
    path = skinstool.getSkinPath('Basic')
    path = map(string.strip, string.split(path,','))

    try: path.insert(path.index('custom'), 'openeip')
    except ValueError:
           path.append('openeip')
    path = string.join(path, ', ')

    skinstool.manage_properties('','',0,(),1,0,'openeip',path,0,'None')
    skinstool.manage_properties('openeip')

    out.write('Added openeip to skins and set as defualt skin\n')

    # creating needed Portal Folders - Lorty

    portal=skinstool.aq_parent


    folders=['condivisa','cartella_addressbook','Calendario_Aziendale']
    for fol in folders:
        portal.Members.manage_addProduct['CMFCore'].manage_addContent(type='Portal Folder', id=fol)

    # creating demo folders
    demofolders = ['marketing','commerciale','amministrazione','clienti','fornitori','immagini']
    for fol in demofolders:
        portal.Members.condivisa.manage_addProduct['CMFCore'].manage_addContent(type='Portal Folder', id=fol)

    out.write('Added needed portal folders\n')

    # creating addressbooks

    portal.Members.cartella_addressbook.manage_addProduct['1000ASA_Email_Client'].manage_addEMILAction(id='addressbook_personale',title='')
    portal.Members.manage_addProduct['1000ASA_Email_Client'].manage_addEMILAction(id='mail_addressbook',title='')
    

    return out.getvalue()

